package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TActkindHistory {
    private Integer id;

    private String vdevcode;

    private BigDecimal fvalue;

    private Date vupdatetime;

    private String vremark;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 设备编号
     * @return vDevCode 设备编号
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编号
     * @param vdevcode 设备编号
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 数据值
     * @return fValue 数据值
     */
    public BigDecimal getFvalue() {
        return fvalue;
    }

    /**
     * 数据值
     * @param fvalue 数据值
     */
    public void setFvalue(BigDecimal fvalue) {
        this.fvalue = fvalue;
    }

    /**
     * 数据采集时间
     * @return vUpdatetime 数据采集时间
     */
    public Date getVupdatetime() {
        return vupdatetime;
    }

    /**
     * 数据采集时间
     * @param vupdatetime 数据采集时间
     */
    public void setVupdatetime(Date vupdatetime) {
        this.vupdatetime = vupdatetime;
    }

    /**
     * 备注
     * @return vRemark 备注
     */
    public String getVremark() {
        return vremark;
    }

    /**
     * 备注
     * @param vremark 备注
     */
    public void setVremark(String vremark) {
        this.vremark = vremark == null ? null : vremark.trim();
    }
}